Bug 1655407 - [Sync Plan] - Hammer Sync-Plan info does not show foreman_tasks_recurring_logic_id
Summary: [Sync Plan] - Hammer Sync-Plan info does not show foreman_tasks_recurring_log...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Sync Plans
Version: 6.5.0
Hardware: All
OS: All
unspecified
low vote
Target Milestone: Released
Assignee: Samir Jha
QA Contact: Stephen Wadeley
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-03 05:29 UTC by Omkar Khatavkar
Modified: 2019-10-07 17:19 UTC (History)
2 users (show)

Fixed In Version: tfm-rubygem-hammer_cli_katello-0.16.0.2-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-14 12:39:22 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:1222 None None None 2019-05-14 12:39:29 UTC
Foreman Issue Tracker 25728 None None None 2018-12-18 16:46:12 UTC

Description Omkar Khatavkar 2018-12-03 05:29:07 UTC
Description of problem:
Hammer Sync-Plan info does not show foreman_tasks_recurring_logic_id

Version-Release number of selected component (if applicable):


How reproducible:
always

Steps to Reproduce:
1.hammer> sync-plan info --id 2
ID:              2
Name:            KpPkNdtlTt
Start Date:      2018/12/01 14:11:33
Interval:        hourly
Enabled:         yes
Cron Expression: 
Description:     
Created at:      2018/12/01 14:03:22
Updated at:      2018/12/01 14:07:36
Products:        
 1) ID:   183
    Name: DrrdMLjzKyAp

2.
3.

Actual results:
Hammer Sync-Plan info does not show foreman_tasks_recurring_logic_id

Expected results:
Hammer Sync-Plan info should show foreman_tasks_recurring_logic_id

Additional info:

Comment 3 Samir Jha 2018-12-18 16:46:12 UTC
Created redmine issue http://projects.theforeman.org/issues/25728 from this bug

Comment 4 pm-sat@redhat.com 2018-12-18 23:07:16 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/25728 has been resolved.

Comment 5 Stephen Wadeley 2019-01-21 10:10:57 UTC
Hello

Testing on snap 11

[root@ibm-x3550m3-10 ~]# rpm -q satellite
satellite-6.5.0-5.beta.el7sat.noarch


Fixed In Version: tfm-rubygem-hammer_cli_katello-0.16.0.2-1

[root@ibm-x3550m3-10 ~]# rpm -q tfm-rubygem-hammer_cli_katello
tfm-rubygem-hammer_cli_katello-0.16.0.2-1.el7sat.noarch


[root@ibm-x3550m3-10 ~]# hammer sync-plan info --id=1
ID:                 1
Name:               lEwzKWcXCNkq
Start Date:         2019/01/18 10:20:17
Interval:           hourly
Enabled:            yes
Cron Expression:    
Recurring Logic ID: 3
Description:        
Created at:         2019/01/18 11:12:16
Updated at:         2019/01/18 11:16:22
Products:           
 1) ID:   118
    Name: Red Hat Enterprise Linux Serv


------------------------------------

I see line "Recurring Logic ID: 3"


Thank you

Comment 8 errata-xmlrpc 2019-05-14 12:39:22 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:1222


Note You need to log in before you can comment on or make changes to this bug.